Subject: bug#32459: closed (Re: bug#32459: Strace 4.24 doesn't build)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Aug 2018 11:36:02 +0000

Your bug report

#32459: Strace 4.24 doesn't build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32459: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32459
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32459: Strace 4.24 doesn't build
From: Tobias Geerinckx-Rice <[email-masked]>
To: Clément Lassieur <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Aug 2018 13:36:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Clément,

Clément Lassieur wrote:
> I was using a modest 32-core x86-64 machine.

I always forget who owns that one :-)

> Tobias Geerinckx-Rice <[email-masked]> writes:
>
>> Does disabling build and/or test parallelism make a difference?
>
> Yes, it works with '#:parallel-tests? #f'!

Great! Fix pushed in 72e782b2b587d05e89b2ca9b27b30c93653760f5.

Kind regards,

T G-R

Subject: Strace 4.24 doesn't build
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Date: Thu, 16 Aug 2018 19:59:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Strace 4.24 doesn't build (on my machine).

Once I had:

    FAIL: trace_personality_32.gen.test

And another time:

    FAIL: trace_personality_regex_32.gen.test
    FAIL: trace_stat_like.gen.test
    FAIL: trace_stat.gen.test
    FAIL: trace_statfs_like.gen.test
    FAIL: trace_question.gen.test

And a third time:

    FAIL: trace_personality_regex_x32.gen.test
    FAIL: trace_personality_64.gen.test

So it's undeterministic.

Clément